#ifndef __SN74HC595_H
#define __SN74HC595_H

//----------------------------------------------------------//
//      SN74HC595              //
//----------------------------------------------------------//

//----------------------------------------------------------//
//                  //
//----------------------------------------------------------//

#define LED_REG_NUM   2                                     //   

//----------------------------------------------------------//
//                                         //
//----------------------------------------------------------//

void SN74HC595_Init(void);                 // 
void Heart_Show(uint8_t *Buf);             //    
void Heart_State(uint8_t State);           // /  
void Heart_Eff1Show(void);                 //  #1   2-  c 
void Heart_Eff2Show(void);                 //  #2      
void Heart_Eff3Show(void);                 //  #3       
void Heart_Eff4Show(void);                 //  #4    
void Heart_Eff5Show(void);                 //  #5   (4  )
void Heart_Eff6Show(uint8_t Direction);    //  #6   / 
void Heart_Eff7Show(void);                 //  #7  .   
void Heart_Eff8Show(void);                 //  #8  .     

//     
void Heart_Eff1EverySecShow(void);         //  #1  /
void Heart_Eff2EverySecShow(void);         //  #2   
void Heart_Eff3EverySecShow(void);         //  #3     2- 

#endif
