   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.11.14 - 18 Nov 2019
   3                     ; Generator (Limited) V4.4.11 - 19 Nov 2019
  54                     ; 16 void FLASH_DeInit(void)
  54                     ; 17 {
  56                     	switch	.text
  57  0000               _FLASH_DeInit:
  59  0000 88            	push	a
  60       00000001      OFST:	set	1
  63                     ; 20   FLASH_CR1 = 0x00;
  65  0001 725f505a      	clr	20570
  66                     ; 21   FLASH_CR2 = 0x00;
  68  0005 725f505b      	clr	20571
  69                     ; 22   FLASH_NCR2 = 0xFF;
  71  0009 35ff505c      	mov	20572,#255
  72                     ; 23   FLASH_IAPSR &=~ 0x08;
  74  000d 7217505f      	bres	20575,#3
  75                     ; 24   FLASH_IAPSR &=~ 0x02;
  77  0011 7213505f      	bres	20575,#1
  78                     ; 25   Temp = FLASH_IAPSR;
  80                     ; 26 }
  83  0015 84            	pop	a
  84  0016 81            	ret
 107                     ; 32 void FLASH_Unlock(void)
 107                     ; 33 {
 108                     	switch	.text
 109  0017               _FLASH_Unlock:
 113                     ; 34   FLASH_PUKR = 0x56;
 115  0017 35565062      	mov	20578,#86
 116                     ; 35   FLASH_PUKR = 0xAE;
 118  001b 35ae5062      	mov	20578,#174
 120  001f               L34:
 121                     ; 36   while(!(FLASH_IAPSR & FLASH_FLAG_PUL));
 123  001f c6505f        	ld	a,20575
 124  0022 a502          	bcp	a,#2
 125  0024 27f9          	jreq	L34
 126                     ; 37 }
 129  0026 81            	ret
 152                     ; 43 void FLASH_Lock(void)
 152                     ; 44 {
 153                     	switch	.text
 154  0027               _FLASH_Lock:
 158                     ; 45   FLASH_IAPSR &= 0xFD;
 160  0027 7213505f      	bres	20575,#1
 161                     ; 46 }
 164  002b 81            	ret
 219                     ; 52 void FLASH_ITConfig(FunctionalState NewState)
 219                     ; 53 {
 220                     	switch	.text
 221  002c               _FLASH_ITConfig:
 225                     ; 54   if (NewState != DISABLE) {
 227  002c 4d            	tnz	a
 228  002d 2706          	jreq	L501
 229                     ; 55       FLASH_CR1 |= 0x02;
 231  002f 7212505a      	bset	20570,#1
 233  0033 2004          	jra	L701
 234  0035               L501:
 235                     ; 57       FLASH_CR1 &=~ 0x02;
 237  0035 7213505a      	bres	20570,#1
 238  0039               L701:
 239                     ; 59 }
 242  0039 81            	ret
 276                     ; 65 void FLASH_EraseByte(uint32_t Address)
 276                     ; 66 {
 277                     	switch	.text
 278  003a               _FLASH_EraseByte:
 280       00000000      OFST:	set	0
 283                     ; 67   *(@near uint8_t*) (uint16_t)Address = FLASH_CLEAR_BYTE;
 285  003a 1e05          	ldw	x,(OFST+5,sp)
 286  003c 7f            	clr	(x)
 288  003d               L331:
 289                     ; 68   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 291  003d c6505f        	ld	a,20575
 292  0040 a505          	bcp	a,#5
 293  0042 27f9          	jreq	L331
 294                     ; 69 }
 297  0044 81            	ret
 340                     ; 75 void FLASH_ProgramByte(uint32_t Address, uint8_t Data)
 340                     ; 76 {
 341                     	switch	.text
 342  0045               _FLASH_ProgramByte:
 344       00000000      OFST:	set	0
 347                     ; 77   *(@near uint8_t*) (uint16_t)Address = Data;
 349  0045 7b07          	ld	a,(OFST+7,sp)
 350  0047 1e05          	ldw	x,(OFST+5,sp)
 351  0049 f7            	ld	(x),a
 353  004a               L561:
 354                     ; 78   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 356  004a c6505f        	ld	a,20575
 357  004d a505          	bcp	a,#5
 358  004f 27f9          	jreq	L561
 359                     ; 79 }
 362  0051 81            	ret
 396                     ; 85 uint8_t FLASH_ReadByte(uint32_t Address)
 396                     ; 86 {
 397                     	switch	.text
 398  0052               _FLASH_ReadByte:
 400       00000000      OFST:	set	0
 403                     ; 87   return (*(@near uint8_t*) (uint16_t)Address);
 405  0052 1e05          	ldw	x,(OFST+5,sp)
 406  0054 f6            	ld	a,(x)
 409  0055 81            	ret
 452                     ; 94 void FLASH_ProgramWord(uint32_t Address, uint32_t Data)
 452                     ; 95 {
 453                     	switch	.text
 454  0056               _FLASH_ProgramWord:
 456       00000000      OFST:	set	0
 459                     ; 96   FLASH_CR2 |= FLASH_CR2_WPRG;
 461  0056 721c505b      	bset	20571,#6
 462                     ; 97   FLASH_NCR2 &=~ FLASH_NCR2_NWPRG;
 464  005a 721d505c      	bres	20572,#6
 465                     ; 98   *((@near uint8_t*)(uint16_t)Address)       = *((uint8_t*)(&Data));
 467  005e 7b07          	ld	a,(OFST+7,sp)
 468  0060 1e05          	ldw	x,(OFST+5,sp)
 469  0062 f7            	ld	(x),a
 470                     ; 99   *(((@near uint8_t*)(uint16_t)Address) + 1) = *((uint8_t*)(&Data)+1);
 472  0063 7b08          	ld	a,(OFST+8,sp)
 473  0065 1e05          	ldw	x,(OFST+5,sp)
 474  0067 e701          	ld	(1,x),a
 475                     ; 100   *(((@near uint8_t*)(uint16_t)Address) + 2) = *((uint8_t*)(&Data)+2);
 477  0069 7b09          	ld	a,(OFST+9,sp)
 478  006b 1e05          	ldw	x,(OFST+5,sp)
 479  006d e702          	ld	(2,x),a
 480                     ; 101   *(((@near uint8_t*)(uint16_t)Address) + 3) = *((uint8_t*)(&Data)+3);
 482  006f 7b0a          	ld	a,(OFST+10,sp)
 483  0071 1e05          	ldw	x,(OFST+5,sp)
 484  0073 e703          	ld	(3,x),a
 486  0075               L532:
 487                     ; 102   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 489  0075 c6505f        	ld	a,20575
 490  0078 a505          	bcp	a,#5
 491  007a 27f9          	jreq	L532
 492                     ; 103 }
 495  007c 81            	ret
 553                     ; 109 void FLASH_SetProgrammingMode(FLASH_ProgramMode_TypeDef FLASH_ProgMode)
 553                     ; 110 {
 554                     	switch	.text
 555  007d               _FLASH_SetProgrammingMode:
 559                     ; 111   if (FLASH_ProgMode == FLASH_PROGRAMMODE_STANDARD) {
 561  007d 4d            	tnz	a
 562  007e 260a          	jrne	L762
 563                     ; 112       FLASH_CR2 |= 0x01;
 565  0080 7210505b      	bset	20571,#0
 566                     ; 113       FLASH_NCR2 &=~ 0x01;
 568  0084 7211505c      	bres	20572,#0
 570  0088 2008          	jra	L172
 571  008a               L762:
 572                     ; 115       FLASH_CR2 |= 0x10;
 574  008a 7218505b      	bset	20571,#4
 575                     ; 116       FLASH_NCR2 &=~ 0x10;
 577  008e 7219505c      	bres	20572,#4
 578  0092               L172:
 579                     ; 118 }
 582  0092 81            	ret
 640                     ; 124 void FLASH_SetProgrammingTime(FLASH_ProgramTime_TypeDef FLASH_ProgTime)
 640                     ; 125 {
 641                     	switch	.text
 642  0093               _FLASH_SetProgrammingTime:
 646                     ; 126   FLASH_CR1 &=~ 0x01;
 648  0093 7211505a      	bres	20570,#0
 649                     ; 127   FLASH_CR1 |= FLASH_ProgTime;
 651  0097 ca505a        	or	a,20570
 652  009a c7505a        	ld	20570,a
 653                     ; 128 }
 656  009d 81            	ret
 679                     ; 134 void EEPROM_Unlock(void)
 679                     ; 135 {
 680                     	switch	.text
 681  009e               _EEPROM_Unlock:
 685                     ; 136   FLASH_DUKR = 0xAE;
 687  009e 35ae5064      	mov	20580,#174
 688                     ; 137   FLASH_DUKR = 0x56;
 690  00a2 35565064      	mov	20580,#86
 692  00a6               L533:
 693                     ; 138   while(!(FLASH_IAPSR & FLASH_FLAG_DUL));
 695  00a6 c6505f        	ld	a,20575
 696  00a9 a508          	bcp	a,#8
 697  00ab 27f9          	jreq	L533
 698                     ; 139 }
 701  00ad 81            	ret
 724                     ; 145 void EEPROM_Lock(void)
 724                     ; 146 {
 725                     	switch	.text
 726  00ae               _EEPROM_Lock:
 730                     ; 147   FLASH_IAPSR &= 0xF7;
 732  00ae 7217505f      	bres	20575,#3
 733                     ; 148 }
 736  00b2 81            	ret
 770                     ; 154 void EEPROM_EraseByte(uint32_t Address)
 770                     ; 155 {
 771                     	switch	.text
 772  00b3               _EEPROM_EraseByte:
 774       00000000      OFST:	set	0
 777                     ; 156   *(@near uint8_t*) (uint16_t)Address = FLASH_CLEAR_BYTE;
 779  00b3 1e05          	ldw	x,(OFST+5,sp)
 780  00b5 7f            	clr	(x)
 782  00b6               L373:
 783                     ; 157   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 785  00b6 c6505f        	ld	a,20575
 786  00b9 a505          	bcp	a,#5
 787  00bb 27f9          	jreq	L373
 788                     ; 158 }
 791  00bd 81            	ret
 834                     ; 164 void EEPROM_ProgramByte(uint32_t Address, uint8_t Data)
 834                     ; 165 {
 835                     	switch	.text
 836  00be               _EEPROM_ProgramByte:
 838       00000000      OFST:	set	0
 841                     ; 166   *(@near uint8_t*) (uint16_t)Address = Data;
 843  00be 7b07          	ld	a,(OFST+7,sp)
 844  00c0 1e05          	ldw	x,(OFST+5,sp)
 845  00c2 f7            	ld	(x),a
 847  00c3               L524:
 848                     ; 167   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 850  00c3 c6505f        	ld	a,20575
 851  00c6 a505          	bcp	a,#5
 852  00c8 27f9          	jreq	L524
 853                     ; 168 }
 856  00ca 81            	ret
 890                     ; 174 uint8_t EEPROM_ReadByte(uint32_t Address)
 890                     ; 175 {
 891                     	switch	.text
 892  00cb               _EEPROM_ReadByte:
 894       00000000      OFST:	set	0
 897                     ; 176   return (*(@near uint8_t*) (uint16_t)Address); 
 899  00cb 1e05          	ldw	x,(OFST+5,sp)
 900  00cd f6            	ld	a,(x)
 903  00ce 81            	ret
 946                     ; 183 void EEPROM_ProgramWord(uint32_t Address, uint32_t Data)
 946                     ; 184 {
 947                     	switch	.text
 948  00cf               _EEPROM_ProgramWord:
 950       00000000      OFST:	set	0
 953                     ; 185   FLASH_CR2 |= FLASH_CR2_WPRG;
 955  00cf 721c505b      	bset	20571,#6
 956                     ; 186   FLASH_NCR2 &=~ FLASH_NCR2_NWPRG;
 958  00d3 721d505c      	bres	20572,#6
 959                     ; 187   *((@near uint8_t*)(uint16_t)Address)       = *((uint8_t*)(&Data));
 961  00d7 7b07          	ld	a,(OFST+7,sp)
 962  00d9 1e05          	ldw	x,(OFST+5,sp)
 963  00db f7            	ld	(x),a
 964                     ; 188   *(((@near uint8_t*)(uint16_t)Address) + 1) = *((uint8_t*)(&Data)+1);
 966  00dc 7b08          	ld	a,(OFST+8,sp)
 967  00de 1e05          	ldw	x,(OFST+5,sp)
 968  00e0 e701          	ld	(1,x),a
 969                     ; 189   *(((@near uint8_t*)(uint16_t)Address) + 2) = *((uint8_t*)(&Data)+2);
 971  00e2 7b09          	ld	a,(OFST+9,sp)
 972  00e4 1e05          	ldw	x,(OFST+5,sp)
 973  00e6 e702          	ld	(2,x),a
 974                     ; 190   *(((@near uint8_t*)(uint16_t)Address) + 3) = *((uint8_t*)(&Data)+3);
 976  00e8 7b0a          	ld	a,(OFST+10,sp)
 977  00ea 1e05          	ldw	x,(OFST+5,sp)
 978  00ec e703          	ld	(3,x),a
 980  00ee               L574:
 981                     ; 191   while(!(FLASH_IAPSR & (FLASH_FLAG_EOP | FLASH_FLAG_WR_PG_DIS)));
 983  00ee c6505f        	ld	a,20575
 984  00f1 a505          	bcp	a,#5
 985  00f3 27f9          	jreq	L574
 986                     ; 192 }
 989  00f5 81            	ret
1002                     	xdef	_EEPROM_ReadByte
1003                     	xdef	_EEPROM_ProgramWord
1004                     	xdef	_EEPROM_ProgramByte
1005                     	xdef	_EEPROM_EraseByte
1006                     	xdef	_EEPROM_Lock
1007                     	xdef	_EEPROM_Unlock
1008                     	xdef	_FLASH_SetProgrammingTime
1009                     	xdef	_FLASH_SetProgrammingMode
1010                     	xdef	_FLASH_ReadByte
1011                     	xdef	_FLASH_ProgramWord
1012                     	xdef	_FLASH_ProgramByte
1013                     	xdef	_FLASH_EraseByte
1014                     	xdef	_FLASH_ITConfig
1015                     	xdef	_FLASH_Lock
1016                     	xdef	_FLASH_Unlock
1017                     	xdef	_FLASH_DeInit
1036                     	end
