#ifndef __DS3231_H
#define __DS3231_H

//----------------------------------------------------------//
//     RTC DS3231                       //
//----------------------------------------------------------//

//----------------------------------------------------------//
//                            //
//----------------------------------------------------------//

//----------------------------------------------------------//
//                                        //
//----------------------------------------------------------//

struct DS3231_DateTime {
	char Seconds;                                             // 0-59
	char Minutes;                                             // 0-59
	char Hour;                                                // 0-23
	char Day;                                                 // 1-7
	char Date;                                                // 1-31
	char Month;                                               // 1-12
	char Year;                                                // 0-99
};

/*
struct DS3231_Alarm1 {
	char Seconds;                                             // 0-59
	char Minutes;                                             // 0-59
	char Hour;                                                // 0-23
	char DY_DT;                                               // 1-7
	char Date;                                                // 1-31
};

struct DS3231_Alarm2 {
	char Minutes;                                             // 0-59
	char Hour;                                                // 0-23
	char DY_DT;                                               // 1-7
	char Date;                                                // 1-31
};
*/

//----------------------------------------------------------//
//                                         //
//----------------------------------------------------------//

//   DS3231
void DS3231_Init(void);

//      DS3231
void DS3231_SetDateTime(struct DS3231_DateTime *DS3231_Date);

//      DS3231
void DS3231_GetDateTime(struct DS3231_DateTime *DS3231_Date);

//    #1 DS3231
//void DS3231_SetAlarm1(struct DS3231_Alarm1 *DS3231_WriteAlarm1);

//     #1 DS3231
//void DS3231_GetAlarm1(struct DS3231_Alarm1 *DS3231_ReadAlarm1);

//    #2 DS3231
//void DS3231_SetAlarm2(struct DS3231_Alarm2 *DS3231_WriteAlarm2);

//     #2 DS3231
//void DS3231_GetAlarm2(struct DS3231_Alarm2 *DS3231_ReadAlarm2);

#endif
